<template>
  <base-popup class="map-modal">
    <div class="map-modal-content">
      <div class="row">
        <div class="col-md-4 col-lg-3 map-modal-filter">
          <accordion-filter
            id="accordion-filter-2"
            class="py-3 py-md-4 ps-4 pe-4 pe-md-0"
            open
            @submit="(filters) => appendQuery({ ...filters, page: '' })"
            @clear="$router.push({ query: {} })"
          />
        </div>
        <div class="col-md-8 col-lg-9">
          <div
            v-if="placemarks.length"
            style="position: relative; overflow: hidden"
          >
            <yandex-map
              :coords="placemarks[0].coords"
              :controls="['smallMapDefaultSet']"
              style="width: 100%; height: 640px"
              zoom="15"
              :show-all-markers="true"
            >
              <ymap-marker
                v-for="(placemark, idx) in placemarks"
                :key="idx"
                :marker-id="idx"
                v-bind="placemark"
              ></ymap-marker>
            </yandex-map>
          </div>
        </div>
      </div>
    </div>
  </base-popup>
</template>

<script>
import AccordionFilter from '@/components/controls/AccordionFilter.vue'
import { TypesMap } from '@/constants/store.types'
import { fetch } from '@/mixins/product'
export default {
  components: {
    AccordionFilter,
  },
  mixins: [fetch],
  props: {
    /** @type {Showroom[]} */
    items: {
      type: Array,
      required: true,
      default: () => [],
    },
  },
  computed: {
    placemarks() {
      return this.$store.getters[TypesMap.getters.GET_PLACEMARKS](
        this.items,
        this.$route.query.domains
      )
    },
  },
}
</script>
